# flopc::GenerateFunctor Class Reference
[Internal (private) interface.]

Functor to facilitate generation of coefficients. More...

`#include <MP_expression.hpp>`

Inheritance diagram for flopc::GenerateFunctor:
[legend]
Collaboration diagram for flopc::GenerateFunctor:
[legend]

List of all members.

## Public Member Functions
| GenerateFunctor (std::vector< Coef > &coefs)
virtual | ~GenerateFunctor ()
void | setConstraint (MP_constraint *r)
void | setMultiplicator (std::vector< Constant > &mults, double m)
void | setTerminalExpression (const TerminalExpression *c)
virtual int | row_number () const
void | operator() () const
## Public Attributes
double | m_
std::vector< Constant > | multiplicators
MP_constraint * | R
const TerminalExpression * | C
std::vector< Coef > & | Coefs

## Detailed Description

Functor to facilitate generation of coefficients.

Note:
  FOR INTERNAL USE: This is not normally used directly by the calling code.

Definition at line 48 of file MP_expression.hpp.

## Constructor & Destructor Documentation

flopc::GenerateFunctor::GenerateFunctor | ( | std::vector< Coef > & | coefs | ) | `[inline]`

Definition at line 50 of file MP_expression.hpp.

virtual flopc::GenerateFunctor::~GenerateFunctor | ( |  | ) | `[inline, virtual]`

Definition at line 52 of file MP_expression.hpp.

## Member Function Documentation

void flopc::GenerateFunctor::setConstraint | ( | MP_constraint * | r | ) | `[inline]`

Definition at line 54 of file MP_expression.hpp.

void flopc::GenerateFunctor::setMultiplicator | ( | std::vector< Constant > & | mults,
|  | double | m |
| ) |  |  | `[inline]`

Definition at line 57 of file MP_expression.hpp.

void flopc::GenerateFunctor::setTerminalExpression | ( | const TerminalExpression * | c | ) | `[inline]`

Definition at line 61 of file MP_expression.hpp.

virtual int flopc::GenerateFunctor::row_number | ( |  | ) | const`[virtual]`

Reimplemented in flopc::ObjectiveGenerateFunctor.

void flopc::GenerateFunctor::operator() | ( |  | ) | const`[virtual]`

Implements flopc::Functor.

## Member Data Documentation

double flopc::GenerateFunctor::m_

Definition at line 68 of file MP_expression.hpp.

std::vector<Constant> flopc::GenerateFunctor::multiplicators

Definition at line 69 of file MP_expression.hpp.

MP_constraint* flopc::GenerateFunctor::R

Definition at line 70 of file MP_expression.hpp.

const TerminalExpression* flopc::GenerateFunctor::C

Definition at line 71 of file MP_expression.hpp.

std::vector<Coef>& flopc::GenerateFunctor::Coefs

Definition at line 72 of file MP_expression.hpp.

The documentation for this class was generated from the following file:

- /home/coin/svn-release/Smi-0.93.1/FlopCpp/src/MP_expression.hpp